"""
Methods for printing results to console; primarily useful when developing/debugging pipelines to
check results before committing.
"""
from typing import AsyncIterable

from spotify import Album


async def echo_album(albums: AsyncIterable[Album]) -> None:
    "Print album metadata"
    async for album in albums:
        print(album.name)
